Subject: Re: Which branch(es) contain certain commits? (was Re: (unknown))

From: Ivan Chernyavsky <[email-masked]>
Date: Sat, 22 Aug 2015 13:32:35 +0300

22.08.2015, 12:19, "Ivan Chernyavsky" <[email-masked]>:
>   One thing I'm worried about is that git-branch already has option --all. So we'll get a semantics conflict with setup_revisions() ("all branches" vs "all refs"). This will have to be treated carefully, e.g. retrace and fix effects of --all after setup_revisions() to include just branches but not other refs. Will such mangling be ok? Or could I prepare the call of setup_revisions() in a way that only branches will be included by --all? Anyway the semantics of --all will be different for git-branch and git-rev-list, but I believe more important is to keep it unchanged for git-branch.
>

Please disregard this part. I should just gobble --all with the existing parse_options() and do not provide it to setup_revisions() altogether.

-- 
  Ivan